Option Explicit

Dim objFSO, WshShell, WshSysEnv, strProgramFilesDir, strConfirm

Set objFSO    = CreateObject("Scripting.FileSystemObject")
Set WshShell  = WScript.CreateObject("WScript.Shell")
Set WshSysEnv = WshShell.Environment("Process")

strProgramFilesDir = WshSysEnv("ProgramFiles")

If objFSO.FileExists("C:\RTAppSec.bak") And objFSO.FileExists("C:\RTAppSec_log.bak") Then
	strConfirm = MsgBox("Are you sure you want to restore the RTAppSec database using the backup files C:\RTAppSec.bak and C:\RTAppSec_log.bak?", vbQuestion + vbYesNo, "Restore RTAppSec Database")

	If strConfirm = vbYes Then
		WshShell.Run "osql.exe -E -i """ & strProgramFilesDir & "\i1 Labs\RTAppSec\Config\Restore RTAppSec Database\Restore RTAppSec Database.sql""", 0, True

		MsgBox "The RTAppSec database restore completed successfully.", vbInformation + vbOKOnly, "Restore RTAppSec Database"
	End If
Else
	MsgBox "The RTAppSec database backup files C:\RTAppSec.bak and C:\RTAppSec_log.bak do not exist.", vbCritical + vbOKOnly, "Error!"
End If