<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>i1 Labs - Realtime Application Security 2006</title>
    <link rel="stylesheet" href="scripts/styles.css" type="text/css" />
    <script language="javascript" type="text/javascript" src="scripts/scripts.js"></script>
  </head>
  <body leftmargin="0" rightmargin="0">
    <div id="navcontainer">
      <ul>
        <li><a href="manageusers.asp">Manage Users</a></li>
        <li><a href="manageapps.asp">Manage Applications</a></li>
        <li><a href="manageexemptexes.asp">Exempt EXEs</a></li>
        <li id="active"><a href="accessrequests.asp" id="current">Access Requests</a></li>
        <li><a href="reports.asp">Reports</a></li>
        <li><a href="logs.asp">Logs</a></li>
        <li><a href="contactsupport.asp">Contact Support</a></li>
      </ul>
    </div>

    <div id="main">
      <h1>Realtime Application Security 2006</h1>

      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="tdstyle2" valign="top">
            <h3>User Access Requests
            <font size="1"><a href="" onClick="openWindow('help.asp#UserAccessRequests'); return false;">(Need Help?)</a></font></h3>

            <form method="post" name="AccessRequests" action="processaccessrequests.asp">

            <table cellpadding="0" cellspacing="0" width="760" border="0">
              <tr>
                <td valign="top">
                  <p>
                  Access Requests by User: <br />
                  <select name="RequestsByUser" size="10" style="width: 345px;" onChange="changeAccessRequest1();">

<%

Const strConnection = "Provider=SQLOLEDB;Initial Catalog=RTAppSec;Integrated Security=SSPI;"
Const adOpenStatic = 3, adLockOptimistic = 3, adLockReadOnly = 1, adOpenKeyset = 1, adCmdText = &H0001

intCurrentRequestID = Trim(Request.QueryString("RequestID"))
intError            = Trim(Request.QueryString("Error"))

If intCurrentRequestID = "" Then
	intCurrentRequestID = "-1"
End If

Set objConn = Server.CreateObject("ADODB.Connection")
Set objRS   = Server.CreateObject("ADODB.Recordset")

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT ACCESS_REQUESTS.request_id, USERS.user_name " _
        & "FROM ACCESS_REQUESTS, USERS " _
        & "WHERE ACCESS_REQUESTS.user_id = USERS.user_id " _
	& "ORDER BY USERS.user_name"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		intRequestID = objRS("request_id")

		If Int(intRequestID) = Int(intCurrentRequestID) Then
			Response.Write "<option value=""" & intRequestID & """ selected />" & objRS("user_name") & vbCrLf
		Else
			Response.Write "<option value=""" & intRequestID & """ />" & objRS("user_name") & vbCrLf
		End If

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

%>

                  </select>
                  </p>
                </td>

                <td valign="center" width="50"><img src="images/pixel.gif" height="1" width"50"></td>

                <td valign="top">
                  <p>
                  Access Requests by Application: <br />
                  <select name="RequestsByApp" size="10" style="width: 345px;" onChange="changeAccessRequest2();">

<%

strRequestIDs = ","

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT request_id " _
        & "FROM ACCESS_REQUESTS"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		strRequestIDs = strRequestIDs & objRS("request_id") & ","

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

If InStr(strRequestIDs, ",") > 0 Then
	intRequestIDsSplit = Split(strRequestIDs, ",")

	For Each intRequestID In intRequestIDsSplit
		intRequestID = Trim(intRequestID)

		If intRequestID <> "" Then
			objConn.Open strConnection

			If Err.Number = 0 Then
				strQuery = "SELECT APPS.app_name " _
			        & "FROM ACCESS_REQUESTS, APP_EXES, APPS "_
				& "WHERE ACCESS_REQUESTS.exe_id = APP_EXES.exe_id " _
				& "AND APP_EXES.app_id = APPS.app_id "_
				& "AND ACCESS_REQUESTS.request_id = '" & intRequestID & "'"

				objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

				If Not objRS.EOF Then
					If Int(intRequestID) = Int(intCurrentRequestID) Then
						Response.Write "<option value=""" & intRequestID & """ selected />" & objRS("app_name") & vbCrLf
					Else
						Response.Write "<option value=""" & intRequestID & """ />" & objRS("app_name") & vbCrLf
					End If

					objRS.Close
				Else
					objRS.Close

					If Int(intRequestID) = Int(intCurrentRequestID) Then
						Response.Write "<option value=""" & intRequestID & """ selected />Unassigned" & vbCrLf
					Else
						Response.Write "<option value=""" & intRequestID & """ />Unassigned" & vbCrLf
					End If
				End If

				objConn.Close
			End If
		End If
	Next
End If

%>

                  </select>
                  </p>
                </td>

              </tr>
            </table>

            <p>
            EXE Name:<br />
            <br />

<%

If intCurrentRequestID <> "" Then
	objConn.Open strConnection

	If Err.Number = 0 Then
		strQuery = "SELECT APP_EXES.exe_path " _
	        & "FROM ACCESS_REQUESTS, APP_EXES " _
		& "WHERE ACCESS_REQUESTS.exe_id = APP_EXES.exe_id " _
		& "AND ACCESS_REQUESTS.request_id = '" & intCurrentRequestID & "'"

		objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

		If Not objRS.EOF Then
			strEXEPath = objRS("exe_path")

			Response.Write "<font color=""#000000"">" & strEXEPath & "</font><br />" & vbCrLf

			objRS.Close
		Else
			objRS.Close
		End If

		objConn.Close
	End If
End If

%>

            <br />
            <input type="button" value="Approve Request" onMouseOver="this.style.cursor='hand';" onClick="approveAccessRequest();" />
            <input type="button" value="Deny Request" onMouseOver="this.style.cursor='hand';" onClick="denyAccessRequest();" /><br />
            </p>
            </form>
          </td>

        </tr>
      </table>

    </div>

    <div id="footer">
      <p>Copyright  2006 i1 Labs, LLC | <a href="http://www.i1labs.com">http://www.i1labs.com/</a></p>
    </div>

    <script language="javascript" type="text/javascript">

<%

Response.Write "sortRequestsByApp(document.AccessRequests.RequestsByApp, '" & intCurrentRequestID & "');" & vbCrLf

If intError <> "" Then
	Response.Write "showError('" & Replace(strEXEPath, "\", "\\") & "');" & vbCrLf
End If

%>

    </script>

  </body>
</html>

<%

Set objFSO = CreateObject("Scripting.FileSystemObject")

If objFSO.FileExists(Server.MapPath("Logs/Expired")) Then

%>

<script language="javascript" type="text/javascript">

licenseExpired();

</script>

<%

End If

%>
