<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>i1 Labs - Realtime Application Security 2006</title>
    <link rel="stylesheet" href="scripts/styles.css" type="text/css" />
    <script language="javascript" type="text/javascript" src="scripts/scripts.js"></script>
  </head>
  <body leftmargin="0" rightmargin="0">
    <div id="navcontainer">
      <ul>
        <li><a href="manageusers.asp">Manage Users</a></li>
        <li id="active"><a href="manageapps.asp" id="current">Manage Applications</a></li>
        <li><a href="manageexemptexes.asp">Exempt EXEs</a></li>
        <li><a href="accessrequests.asp">Access Requests</a></li>
        <li><a href="reports.asp">Reports</a></li>
        <li><a href="logs.asp">Logs</a></li>
        <li><a href="contactsupport.asp">Contact Support</a></li>
      </ul>
    </div>

    <div id="main">
      <h1>Realtime Application Security 2006</h1>

      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="tdstyle2" valign="top">
            <h3>Modify an Application's Attributes
            <font size="1"><a href="" onClick="openWindow('help.asp#ModifyAnApplicationsAttributes'); return false;">(Need Help?)</a></font></h3>

            <form method="post" name="UpdateApp" action="updateapp.asp">
            <p>

<%

Const strConnection = "Provider=SQLOLEDB;Initial Catalog=RTAppSec;Integrated Security=SSPI;"
Const adOpenStatic = 3, adLockOptimistic = 3, adLockReadOnly = 1, adOpenKeyset = 1, adCmdText = &H0001

intAppID = Trim(UCase(Request.QueryString("AppID")))

Set objConn = Server.CreateObject("ADODB.Connection")
Set objRS   = Server.CreateObject("ADODB.Recordset")

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT app_name " _
	& "FROM APPS " _
	& "WHERE app_id = '" & intAppID & "'"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	If Not objRS.EOF Then
		strAppName   = objRS("app_name")
	End If

	objRS.Close
	objConn.Close
End If

%>

            Application Name:<img src="images/pixel.gif" height="1" width="10" /><font color="#000000"><%=strAppName%></font><br />
            <input type="hidden" name="AppID" value="<%=intAppID%>" />
            </p>

            <table cellpadding="0" cellspacing="0" width="760" border="0">
              <tr>
                <td valign="top">
                  <p>
                  Allowed Users: <br />
                  <select multiple name="AllowedUsers" size="10" style="width: 345px;">

<%

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT USERS.user_id, USERS.user_name, USERS.user_status " _
        & "FROM APPS, ALLOWED_APPS, USERS " _
        & "WHERE APPS.app_id = ALLOWED_APPS.app_id " _
	& "AND ALLOWED_APPS.user_id = USERS.user_id " _
	& "AND APPS.app_id = '" & intAppID & "' " _
	& "ORDER BY USERS.user_name"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		If objRS("user_status") = "DISABLED" Then
			Response.Write "<option value=""" & objRS("user_id") & """ />" & objRS("user_name") & " [UNSECURED]" & vbCrLf
		Else
			Response.Write "<option value=""" & objRS("user_id") & """ />" & objRS("user_name") & vbCrLf
		End If

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

%>

                  </select>
                  <input name="Search" type="text" value="Search" size="26" maxlength="50" onKeyUp="autoComplete(this,this.form.AllowedUsers,'text',false);" onClick="this.value='';" />
                  </p>
                </td>

                <td valign="center" width="50">
                  <input type="button" value="<-" onClick="moveSelectedItems(document.UpdateApp.DisallowedUsers,document.UpdateApp.AllowedUsers);" />
                  <input type="button" value="->" onClick="moveSelectedItems(document.UpdateApp.AllowedUsers,document.UpdateApp.DisallowedUsers);" />
                </td>

                <td valign="top">
                  <p>
                  Disallowed Users: <br />
                  <select multiple name="DisallowedUsers" size="10" style="width: 345px;">

<%

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT USERS.user_id, USERS.user_name, USERS.user_status " _
	& "FROM USERS " _
	& "WHERE USERS.user_id " _
	& "NOT IN " _
	& "(SELECT USERS.user_id " _
        & "FROM APPS, ALLOWED_APPS, USERS " _
        & "WHERE APPS.app_id = ALLOWED_APPS.app_id " _
	& "AND ALLOWED_APPS.user_id = USERS.user_id " _
	& "AND APPS.app_id = '" & intAppID & "') " _
	& "ORDER BY USERS.user_name"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		If objRS("user_status") = "DISABLED" Then
			Response.Write "<option value=""" & objRS("user_id") & """ />" & objRS("user_name") & " [UNSECURED]" & vbCrLf
		Else
			Response.Write "<option value=""" & objRS("user_id") & """ />" & objRS("user_name") & vbCrLf
		End If

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

%>

                  </select>
                  <input name="Search" type="text" value="Search" size="26" maxlength="50" onKeyUp="autoComplete(this,this.form.DisallowedUsers,'text',false);" onClick="this.value='';" />
                  </p>
                </td>

              </tr>
            </table>

            <p>
            Application EXEs: <br />
            <br />

<%

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT exe_id, exe_path " _
        & "FROM APP_EXES " _
        & "WHERE app_id = '" & intAppID & "' " _
	& "ORDER BY exe_path"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		Response.Write "<input type=""checkbox"" name=""AppEXEs"" value=""" & objRS("exe_id") & """ checked /><img src=""images/pixel.gif"" height=""1"" width=""10"" /><font color=""#000000"">" & objRS("exe_path") & "</font><br />" & vbCrLf

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

objConn.Open strConnection

If Err.Number = 0 Then
	strQuery = "SELECT exe_id, exe_path " _
        & "FROM APP_EXES " _
	& "WHERE app_id IS NULL " _
	& "ORDER BY exe_path"

	objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

	While Not objRS.EOF
		Response.Write "<input type=""checkbox"" name=""AppEXEs"" value=""" & objRS("exe_id") & """ /><img src=""images/pixel.gif"" height=""1"" width=""10"" /><font color=""#666666"">" & objRS("exe_path") & "</font><br />" & vbCrLf

		objRS.MoveNext
	WEnd

	objRS.Close
	objConn.Close
End If

%>

            <br />
            <input type="button" value="Update Application" onMouseOver="this.style.cursor='hand';" onClick="checkInput4();" />
            <input type="button" value="Cancel" onMouseOver="this.style.cursor='hand';" onClick="cancel2();" /><br />
            <br />
            <a href="manageapps.asp">&lt;&lt; Go Back</a>
            </p>
            </form>
          </td>

        </tr>
      </table>

    </div>

    <div id="footer">
      <p>Copyright  2006 i1 Labs, LLC | <a href="http://www.i1labs.com">http://www.i1labs.com/</a></p>
    </div>
  </body>
</html>

<%

Set objFSO = CreateObject("Scripting.FileSystemObject")

If objFSO.FileExists(Server.MapPath("Logs/Expired")) Then

%>

<script language="javascript" type="text/javascript">

licenseExpired();

</script>

<%

End If

%>
